﻿<?xml version="1.0" encoding="utf-8"?>
<tns:VectoInputDeclaration xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xmlns:tns="urn:tugraz:ivt:VectoAPI:DeclarationComponent:v2.1" xmlns:v2.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0" xmlns:v2.3="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xmlns:di="http://www.w3.org/2000/09/xmldsig#" schemaVersion="2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="urn:tugraz:ivt:VectoAPI:DeclarationComponent v:\VectoCore\VectoCore\Resources\XSD/VectoDeclarationComponent.xsd">
    <tns:TorqueConverter xsi:type="v2.0:TorqueConverterComponentDeclarationType">
        <Data xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0" xsi:type="TorqueConverterDataDeclarationType" id="TC-asdf">
            <Manufacturer>Generic Vendor</Manufacturer>
            <Model>Generic Model</Model>
            <CertificationNumber>TC-1234</CertificationNumber>
            <Date>2022-03-15T08:26:23.1645201Z</Date>
            <AppVersion>aaaaa</AppVersion>
            <CertificationMethod>Measured</CertificationMethod>
            <Characteristics>
                <Entry speedRatio="0.0001" torqueRatio="1.75" inputTorqueRef="367.68" />
                <Entry speedRatio="0.1003" torqueRatio="1.71" inputTorqueRef="355.43" />
                <Entry speedRatio="0.0000" torqueRatio="1.80" inputTorqueRef="367.65" />
                <Entry speedRatio="0.1002" torqueRatio="1.72" inputTorqueRef="355.42" />
            </Characteristics>
        </Data>
        <v2.0:Signature>
            <di:Reference URI="#TC-asdf">
                <di:Transforms>
                    <di:Transform Algorithm="urn:vecto:xml:2017:canonicalization" />
                    <di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
                </di:Transforms>
                <di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256" />
                <di:DigestValue>l6asBcah3FpRvGDPjNpTPdx7ayeAXUxTvbqk41uc19c=</di:DigestValue>
            </di:Reference>
        </v2.0:Signature>
    </tns:TorqueConverter>
</tns:VectoInputDeclaration>